This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 471275 - Review Request: mod_scgi - Python implementation of the SCGI protocol
Review Request: mod_scgi - Python implementation of the SCGI protocol
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-12 14:40 EST by Marek Mahut
Modified: 2009-01-08 05:02 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-08 05:02:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lkundrak: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marek Mahut 2008-11-12 14:40:35 EST
Spec URL: http://mmahut.fedorapeople.org/reviews/mod_scgi/mod_scgi.spec
SRPM URL: http://mmahut.fedorapeople.org/reviews/mod_scgi/mod_scgi.spec
Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=929133
Description: The SCGI protocol is a replacement for the Common Gateway
Interface (CGI) protocol. It is a standard for applications
to interface with HTTP servers. It is similar to FastCGI
but is designed to be easier to implement.
Comment 2 Lubomir Rintel 2008-11-12 14:48:46 EST
Thanks for the package. Taking this for review.
Comment 3 Lubomir Rintel 2008-12-05 10:12:24 EST
Seems very well done.
Just two issues:

1.) Please depend on httpd ABI you built against:

This is best done by thepending on the Module Magic Number. This comes from mod_perl:

Requires:       httpd-mmn = %(cat %{_includedir}/httpd/.mmn || echo missing)

2.) RPMlint warnings:

mod_scgi.i386: E: non-executable-script /usr/lib/python2.4/site-packages/scgi/scgi_server.py 0644

mod_scgi.i386: E: non-executable-script /usr/lib/python2.4/site-packages/scgi/quixote_handler.py 0644

What about these? Are they run by the module? If yes, move them to libexec. No? Move them to bin. Change the mode appropriately.

mod_scgi.i386: E: non-executable-script /usr/lib/python2.4/site-packages/scgi/test_passfd.py 0644

You should probably not bundle this. If you mind completely removing this, mark it as %doc-umentation.
Comment 5 Lubomir Rintel 2008-12-20 10:47:51 EST
(In reply to comment #4)
> All should be fixed.

Seems fine now. I have a strong feeling you mistyped the SRPM URL though :)

> SRPM URL: http://mmahut.fedorapeople.org/reviews/mod_scgi/mod_scgi.spec

Doesn't matter much since all changes were in SPEC file only.

APPROVED
Comment 6 Marek Mahut 2008-12-21 06:32:16 EST
New Package CVS Request
=======================
Package Name: mod_scgi
Short Description: Python implementation of the SCGI protocol
Owners: mmahut
Branches: EL-5 F-9 F-10
Comment 7 Kevin Fenzi 2008-12-22 21:41:08 EST
cvs done.
Comment 8 Lubomir Rintel 2009-01-07 19:46:24 EST
Marek please import and build this
Comment 9 Marek Mahut 2009-01-08 05:02:51 EST
Sorry for the delay, done.

Thank you for the review.

Note You need to log in before you can comment on or make changes to this bug.